Bug 1478158 - [OSP12]tempest.api.volume.test_volumes_clone.VolumesCloneTest.test_create_from_volume, test_create_from_bootable_volume are failed due to "VolumeResourceBuildErrorException: volume failed to build and is in ERROR status"
[OSP12]tempest.api.volume.test_volumes_clone.VolumesCloneTest.test_create_fro...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers (Show other bugs)
12.0 (Pike)
x86_64 Linux
high Severity high
: ga
: 12.0 (Pike)
Assigned To: Paul Grist
Yogev Rabl
Andrew Burden
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 14:38 EDT by Artem Hrechanychenko
Modified: 2017-09-20 08:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-20 08:54:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-08-03 14:38:49 EDT
OSP12 HA+OC_SSL+UC_SSL
3ctrl+2comp nodes


Description of problem:
testtools.testresult.real._StringException: Empty attachments:
  stderr
  stdout

pythonlogging:'': {{{
2017-08-03 05:30:54,434 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13292/v2/images/2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d 1.019s
2017-08-03 05:30:54,435 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '687', 'content-location': 'https://10.0.0.101:13292/v2/images/2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d', u'date': 'Thu, 03 Aug 2017 09:30:52 GMT', u'content-type': 'application/json', u'connection': 'close', u'x-openstack-request-id': 'req-7443e101-ea9e-44e3-99f3-02d02a8bc05a'}
        Body: {"status": "active", "virtual_size": null, "name": "cirros-0.3.4-x86_64-disk.img", "tags": [], "container_format": "bare", "created_at": "2017-08-03T08:55:52Z", "size": 13287936, "disk_format": "qcow2", "updated_at": "2017-08-03T08:55:56Z", "visibility": "public", "self": "/v2/images/2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d", "min_disk": 0, "protected": false, "id": "2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d", "file": "/v2/images/2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d/file", "checksum": "ee1eca47dc88f4879d8a229cc70a07c6", "owner": "0720dee0bdb94d01a22fa3f5fee46572", "direct_url": "swift+config://ref1/glance/2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d", "min_ram": 0, "schema": "/v2/schemas/image"}
2017-08-03 05:31:01,979 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 202 POST https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes 7.543s
2017-08-03 05:31:01,980 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"volume": {"name": "tempest-VolumesCloneTest-Volume-925173246", "imageRef": "2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d", "size": 1}}
    Response - Headers: {'status': '202', u'content-length': '804', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes', u'x-compute-request-id': 'req-5812904c-b039-4f29-a944-7cae6c3c1a97', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:30:52 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-5812904c-b039-4f29-a944-7cae6c3c1a97'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.543607", "description": null, "updated_at": null, "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:03,199 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 1.218s
2017-08-03 05:31:03,200 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '896', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-8848ac8b-1ba8-409f-8e29-fb40e78d6616', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:00 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-8848ac8b-1ba8-409f-8e29-fb40e78d6616'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:00.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:07,539 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 3.337s
2017-08-03 05:31:07,540 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '896', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-7bda1e10-a7ab-407c-9c98-34dcfb74e08a', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:02 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-7bda1e10-a7ab-407c-9c98-34dcfb74e08a'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:00.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:08,691 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.149s
2017-08-03 05:31:08,691 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '896', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-f6a3f27d-f439-41ee-ba59-f1ac4a1e67c6', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:06 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-f6a3f27d-f439-41ee-ba59-f1ac4a1e67c6'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:00.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:09,908 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.216s
2017-08-03 05:31:09,909 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '899', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-17bf4c62-36a2-43dd-8bfe-abf847ca3f25', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:07 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-17bf4c62-36a2-43dd-8bfe-abf847ca3f25'}
        Body: {"volume": {"status": "downloading", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:07.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:11,137 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.226s
2017-08-03 05:31:11,137 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '899', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-ac349cad-c20e-4bec-b6c6-d0e4a77b322d', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:09 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-ac349cad-c20e-4bec-b6c6-d0e4a77b322d'}
        Body: {"volume": {"status": "downloading", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:07.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:12,370 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.231s
2017-08-03 05:31:12,371 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '899', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-11f0502c-f4a9-4cc7-b4a6-8aed0c9685dc', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:10 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-11f0502c-f4a9-4cc7-b4a6-8aed0c9685dc'}
        Body: {"volume": {"status": "downloading", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:07.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:13,654 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.280s
2017-08-03 05:31:13,654 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '898', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-505222c6-525e-4868-92f4-a8c32fbc496a', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:11 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-505222c6-525e-4868-92f4-a8c32fbc496a'}
        Body: {"volume": {"status": "downloading", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "true", "encrypted": false, "created_at": "2017-08-03T09:30:59.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:11.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
2017-08-03 05:31:14,894 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813 0.238s
2017-08-03 05:31:14,895 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '1174', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813', u'x-compute-request-id': 'req-8e70efb3-f243-46d5-afb7-df9aa3cd6377', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:12 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-8e70efb3-f243-46d5-afb7-df9aa3cd6377'}
        Body: {"volume": {"attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/78d1f392-9775-4298-98bb-87d36fc12813", "rel": "bookmark"}], "availability_zone": "nova", "encrypted": false, "updated_at": "2017-08-03T09:31:11.000000", "replication_status": null, "snapshot_id": null, "id": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1, "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "metadata": {}, "status": "available", "volume_image_metadata": {"checksum": "ee1eca47dc88f4879d8a229cc70a07c6", "min_ram": "0", "disk_format": "qcow2", "image_name": "cirros-0.3.4-x86_64-disk.img", "image_id": "2a86d0eb-93a5-4699-b9f9-c74b7ea34d3d", "container_format": "bare", "min_disk": "0", "size": "13287936"}, "description": null, "multiattach": false, "source_volid": null, "consistencygroup_id": null, "name": "tempest-VolumesCloneTest-Volume-925173246", "bootable": "true", "created_at": "2017-08-03T09:30:59.000000", "volume_type": null}}
2017-08-03 05:31:15,785 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 202 POST https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes 0.889s
2017-08-03 05:31:15,785 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"volume": {"name": "tempest-VolumesCloneTest-Volume-497469328", "source_volid": "78d1f392-9775-4298-98bb-87d36fc12813", "size": 1}}
    Response - Headers: {'status': '202', u'content-length': '837', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes', u'x-compute-request-id': 'req-98a7a8df-0a47-478c-816e-154052509579', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:13 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-98a7a8df-0a47-478c-816e-154052509579'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "true", "encrypted": false, "created_at": "2017-08-03T09:31:13.468378", "description": null, "updated_at": null, "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-497469328", "replication_status": null, "consistencygroup_id": null, "source_volid": "78d1f392-9775-4298-98bb-87d36fc12813", "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "65242386-3ddd-4ce3-8407-230865ca9455", "size": 1}}
2017-08-03 05:31:16,050 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455 0.264s
2017-08-03 05:31:16,051 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '929', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455', u'x-compute-request-id': 'req-6ce7044e-be3b-40ed-ab8a-65275cf99b9a', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:13 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-6ce7044e-be3b-40ed-ab8a-65275cf99b9a'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "true", "encrypted": false, "created_at": "2017-08-03T09:31:13.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:13.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-497469328", "replication_status": null, "consistencygroup_id": null, "source_volid": "78d1f392-9775-4298-98bb-87d36fc12813", "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "65242386-3ddd-4ce3-8407-230865ca9455", "size": 1}}
2017-08-03 05:31:17,410 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455 0.358s
2017-08-03 05:31:17,411 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '929', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455', u'x-compute-request-id': 'req-4669bde7-09d2-4745-bde3-e2031bb1e6b3', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:15 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-4669bde7-09d2-4745-bde3-e2031bb1e6b3'}
        Body: {"volume": {"status": "creating", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "true", "encrypted": false, "created_at": "2017-08-03T09:31:13.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:13.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-497469328", "replication_status": null, "consistencygroup_id": null, "source_volid": "78d1f392-9775-4298-98bb-87d36fc12813", "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "65242386-3ddd-4ce3-8407-230865ca9455", "size": 1}}
2017-08-03 05:31:18,677 15257 INFO     [tempest.lib.common.rest_client] Request (VolumesCloneTest:test_create_from_bootable_volume): 200 GET https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455 0.263s
2017-08-03 05:31:18,677 15257 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '926', 'content-location': 'https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455', u'x-compute-request-id': 'req-17a7837c-91b0-4a85-81bd-acea531ac23b', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:31:16 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-17a7837c-91b0-4a85-81bd-acea531ac23b'}
        Body: {"volume": {"status": "error", "user_id": "d118ee6800b04ba19bb7d814ef217f7f", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "self"}, {"href": "https://10.0.0.101:13776/148e3030f8d941499b31d385aa4f7ab3/volumes/65242386-3ddd-4ce3-8407-230865ca9455", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "true", "encrypted": false, "created_at": "2017-08-03T09:31:13.000000", "description": null, "os-vol-tenant-attr:tenant_id": "148e3030f8d941499b31d385aa4f7ab3", "updated_at": "2017-08-03T09:31:16.000000", "volume_type": null, "name": "tempest-VolumesCloneTest-Volume-497469328", "replication_status": null, "consistencygroup_id": null, "source_volid": "78d1f392-9775-4298-98bb-87d36fc12813", "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "65242386-3ddd-4ce3-8407-230865ca9455", "size": 1}}
}}}

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/test.py", line 103, in wrapper
    return f(self, *func_args, **func_kwargs)
  File "/usr/lib/python2.7/site-packages/tempest/api/volume/test_volumes_clone.py", line 66, in test_create_from_bootable_volume
    cloned_vol = self.create_volume(source_volid=src_vol['id'])
  File "/usr/lib/python2.7/site-packages/tempest/api/volume/base.py", line 136, in create_volume
    volume['id'], wait_until)
  File "/usr/lib/python2.7/site-packages/tempest/common/waiters.py", line 203, in wait_for_volume_resource_status
    resource_name=resource_name, resource_id=resource_id)
tempest.exceptions.VolumeResourceBuildErrorException: volume 65242386-3ddd-4ce3-8407-230865ca9455 failed to build and is in ERROR status


Version-Release number of selected component (if applicable):
OSP12
openstack-nova-compute-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstacklib-11.2.0-0.20170721172003.a3cef1d.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170721190058.e003b07.el7ost.noarch
python-openstacksdk-0.9.17-0.20170621195806.7946243.el7ost.noarch
openstack-swift-object-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170721174554.el7ost.noarch
openstack-mistral-engine-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-nova-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-conductor-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-glance-15.0.0-0.20170720002347.0752f7f.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170721140651.c389fae.el7ost.noarch
openstack-swift-container-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-keystone-12.0.0-0.20170719224216.025e844.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-swift-proxy-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-cfn-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170720220617.b908a30.el7ost.noarch
openstack-mistral-executor-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-validations-7.1.1-0.20170720215108.e6ebdd3.el7ost.noarch
openstack-nova-scheduler-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstack_extras-11.2.0-0.20170721171851.6a9d2aa.el7ost.noarch
openstack-tripleo-common-containers-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
python-openstackclient-3.11.0-0.20170613232431.c69304e.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170712081605.35068ac.el7ost.noarch
openstack-tripleo-common-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
openstack-swift-account-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-neutron-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-engine-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-mistral-common-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-ui-7.1.1-0.20170720050235.3cb948f.el7ost.noarch
openstack-zaqar-5.0.0-0.20170721081135.9b966b4.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-common-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-mistral-api-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
python-openstack-mistral-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-selinux-0.8.7-2.el7ost.noarch
openstack-nova-placement-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-common-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-tempest-16.1.1-0.20170721223940.e1e6e78.el7ost.noarch

images puddle:   2017-07-26.10

How reproducible:
always
Comment 1 Eric Harney 2017-08-30 09:25:53 EDT
Can you provide cinder scheduler and volume logs?  Those should provide a reason for failure.
Comment 2 Paul Grist 2017-09-20 08:54:16 EDT
Closing this one out as it's from a very old OSP-12 puddle and things have changed quite a bit.  Can you open a new BZ if this test is not passing?
Thanks.

Note You need to log in before you can comment on or make changes to this bug.